# class ASNObjId | Class for holding only an OID More...
Full name | `TelEngine::ASNObjId`
Definition | `#include <libs/yasn/yateasn.h>`
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ASNObjId ()
- inline ASNObjId (const ASNObjId& original)
- ASNObjId (const String& val)
- ASNObjId (const String& name, const String& val)
- ASNObjId (AsnMib* mib)
- ~ASNObjId ()
- inline ASNObjId& operator= (const ASNObjId& original)
- inline ASNObjId& operator= (const String& val)
- inline ASNObjId& operator= (const char* val)
- void toDataBlock ()
- DataBlock getIds ()
- inline const String& toString () const
- inline const String& getName () const
- inline void setValue (const String& value)

## Detailed Description

Class for holding only an OID

ASNObjId () | ### ASNObjId

Constructor

inline ASNObjId (const ASNObjId& original) | ### ASNObjId

Copy constructor

Parameters:

original | OID object to copy

ASNObjId (const String& val) | ### ASNObjId

Constructor

Parameters:

val | OID value in string format

ASNObjId (const String& name, const String& val) | ### ASNObjId

Constructor

Parameters:

name | Name of the OID
val | OID value in string format

ASNObjId (AsnMib* mib) | ### ASNObjId

Constructor

Parameters:

mib | Mib used for creating this OID

~ASNObjId () | ### ~ASNObjId

Destructor

inline ASNObjId& operator= (const ASNObjId& original) | ### operator=

Assignment operator from OID

inline ASNObjId& operator= (const String& val) | ### operator=

Assign operator from a string value

inline ASNObjId& operator= (const char* val) | ### operator=

Assign operator from a const char* value

void toDataBlock () | ### toDataBlock

Transform the value of this OID from a string value to a sequence of numbers

DataBlock getIds () | ### getIds

Get the sequence form of the OID

Returns: Datablock sequence of ids

inline const String& toString () | ### toString

[const]

String representation of the OID

Reimplemented from GenObject.

inline const String& getName () | ### getName

[const]

Get the name of the OID

Returns: String representation of the name

inline void setValue (const String& value) | ### setValue

Set the OID value

Parameters:

value | OID value

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.